package aliyun_avatar

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/aliyun_avatar"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /aliyun_avatar/update aliyun_avatar UpdateAliyunAvatar
//
// Update aliyun avatar information | 更新AliyunAvatar
//
// Update aliyun avatar information | 更新AliyunAvatar
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AliyunAvatarInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateAliyunAvatarHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AliyunAvatarInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := aliyun_avatar.NewUpdateAliyunAvatarLogic(r.Context(), svcCtx)
		resp, err := l.UpdateAliyunAvatar(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
